Bug 908379 - RFE: reduce the comments on packstack answer file and add sections
RFE: reduce the comments on packstack answer file and add sections
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: RHOS Maint
Ofer Blaut
: Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 09:53 EST by Ofer Blaut
Modified: 2016-04-26 17:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 03:39:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2013-02-06 09:53:56 EST
Description of problem:

packstack answer files include lots of comments , which most of them covered nicely in "man packstack".

I think we can improve the answer file by reducing some comments like 

#Set to 'y' if you would like Packstack to install Nova
CONFIG_NOVA_INSTALL=y ( which is intuitive )

also group areas into sections like

[Install services] 
[passwords]
[endpoint ip address] .....


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Jaroslav Henner 2013-02-22 07:20:11 EST
This would mean all the cmdline options should change to represent the structured answfile. I am not so sure it is worthy.
Comment 3 Derek Higgins 2013-02-28 03:39:51 EST
The comments are there for new users to provide as much info as possible, reducing them may make the answerfile more compact but possibly less helpful to users, so for the moment I'm going to leave it the way it is.

The groups you suggest may be an option when the number of directives increases but for the moment I don't think its needed.

Note You need to log in before you can comment on or make changes to this bug.